Package com.collibra.dgc.core.api.dto.validation

# Class FindValidationResultRequest.Builder

Object
Builder

Enclosing class:
  `FindValidationResultRequest`

public static final class FindValidationResultRequest.Builder extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `limit`
  Deprecated.
  This field will become private in the next major release.
  `protected int`
  `offset`
  Deprecated.
  This field will become private in the next major release.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FindValidationResultRequest.Builder`
  `assetId(UUID assetId)`
  `FindValidationResultRequest`
  `build()`
  `FindValidationResultRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `FindValidationResultRequest.Builder`
  `jobId(UUID jobId)`
  `FindValidationResultRequest.Builder`
  `limit(int limit)`
  `FindValidationResultRequest.Builder`
  `mostRecentExecution(Boolean mostRecentExecution)`
  `FindValidationResultRequest.Builder`
  `mostRecentJob(Boolean mostRecentJob)`
  `FindValidationResultRequest.Builder`
  `offset(int offset)`
  `FindValidationResultRequest.Builder`
  `result(Boolean result)`
  `FindValidationResultRequest.Builder`
  `serialVersionUID(long serialVersionUID)`
  Deprecated.
  This method will be removed in the future.
  `String`
  `toString()`
  `FindValidationResultRequest.Builder`
  `validationRuleId(UUID validationRuleId)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### offset

    @Deprecated protected int offset
    Deprecated.
    This field will become private in the next major release.

  - ### limit

    @Deprecated protected int limit
    Deprecated.
    This field will become private in the next major release.

- ## Method Details

  - ### offset

    public FindValidationResultRequest.Builder offset(int offset)

  - ### limit

    public FindValidationResultRequest.Builder limit(int limit)

  - ### serialVersionUID

    @Deprecated public FindValidationResultRequest.Builder serialVersionUID(long serialVersionUID)
    Deprecated.
    This method will be removed in the future. No replacement will be available.

  - ### but

    @Deprecated public FindValidationResultRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `FindValidationResultRequest.builder()`
    Clone method for this Builder.

  - ### assetId

    public FindValidationResultRequest.Builder assetId(UUID assetId)
    Parameters:
      `assetId` - The unique identifier of the asset for which we are searching validation results.
    Returns:
      `this`.

  - ### jobId

    public FindValidationResultRequest.Builder jobId(UUID jobId)
    Parameters:
      `jobId` - The unique identifier of the job for which we are searching validation results.
    Returns:
      `this`.

  - ### validationRuleId

    public FindValidationResultRequest.Builder validationRuleId(UUID validationRuleId)
    Parameters:
      `validationRuleId` - The unique identifier of the validation rule for which we are searching validation results.
    Returns:
      `this`.

  - ### mostRecentJob

    public FindValidationResultRequest.Builder mostRecentJob(Boolean mostRecentJob)
    Parameters:
      `mostRecentJob` - Check the validationResults of only the most recent job according to the other criteria.
    Returns:
      `this`.

  - ### mostRecentExecution

    public FindValidationResultRequest.Builder mostRecentExecution(Boolean mostRecentExecution)
    Parameters:
      `mostRecentExecution` - Check the validationResults of only the most recent execution (inside or outside a validation job) according to the other criteria.
    Returns:
      `this`.

  - ### result

    public FindValidationResultRequest.Builder result(Boolean result)
    Parameters:
      `result` - Filter on the result of validation results.
    Returns:
      `this`.

  - ### build

    public FindValidationResultRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`